> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synapsai.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a vector store file



## OpenAPI

````yaml /api-reference/vector-stores.json get /v1/vector_stores/{vector_store_id}/files/{file_id}
openapi: 3.1.0
info:
  title: SynapsAI Vector Stores API
  version: 1.0.0
servers:
  - url: https://api.synapsai.cloud
    description: Production server
security: []
paths:
  /v1/vector_stores/{vector_store_id}/files/{file_id}:
    get:
      summary: Retrieve a vector store file
      operationId: retrieveVectorStoreFile
      parameters:
        - name: vector_store_id
          in: path
          required: true
          schema:
            type: string
        - name: file_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Vector store file
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VectorStoreFile'
        '404':
          description: Vector store or file not found
components:
  schemas:
    VectorStoreFile:
      type: object
      properties:
        id:
          type: string
        object:
          type: string
          enum:
            - vector_store.file
        created_at:
          type: integer
        vector_store_id:
          type: string
        status:
          type: string
          enum:
            - in_progress
            - completed
            - failed
            - cancelled
        usage_bytes:
          type: integer
        attributes:
          type: object
          additionalProperties: true
          nullable: true
        chunking_strategy:
          type: object
          additionalProperties: true
        last_error:
          type: object
          nullable: true
          properties:
            code:
              type: string
            message:
              type: string
      required:
        - id
        - object
        - vector_store_id
        - status

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.